MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004927ACheckerInterfacepublic2011-11-21 14:042011-11-25 14:46
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.3 
Summary0004927: Add check to new guideline fails
DescriptionI created a new guideline, and added a group successfully, however when attempting to add a check, the popup opens with the main checker screen instead of the screen for picking checks to add.
TagsNo tags attached.
SVN Revision#02a36cdf5b4da20b835800718745af0db2395056
Attached Files

- Relationships

-  Notes
(0005518)
greg (administrator)
2011-11-21 14:07

Only seems to be a problem for regular users. Admin users are able to add checks to a guideline.
(0005526)
cindy (administrator)
2011-11-23 11:03

The fix has been merged into master project repo @

https://github.com/atutor/AChecker/commit/02a36cdf5b4da20b835800718745af0db2395056 [^]

The solution is to grant the permission for the guideline managers to access the check index page to add checks into guidelines.

Affected script: include/page_constants.inc.php
(0005528)
greg (administrator)
2011-11-23 16:05

confirmed fixed

- Issue History
Date Modified Username Field Change
2011-11-21 14:04 greg New Issue
2011-11-21 14:04 greg Status new => assigned
2011-11-21 14:04 greg Assigned To => cindy
2011-11-21 14:07 greg Note Added: 0005518
2011-11-23 11:03 cindy SVN Revision# => 02a36cdf5b4da20b835800718745af0db2395056
2011-11-23 11:03 cindy Note Added: 0005526
2011-11-23 11:03 cindy Status assigned => resolved
2011-11-23 11:03 cindy Resolution open => fixed
2011-11-23 16:05 greg Note Added: 0005528
2011-11-25 14:46 greg Fixed in Version => 1.3


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker